explain_ferror_or_die(3)

NAME
explain_ferror_or_die - check stream status and report errors
    "check stream status and report errors"

SYNOPSIS
#include <libexplain/ferror.h>

void explain_ferror_or_die(FILE *fp);

DESCRIPTION
The explain_ferror_or_die function is used to call the ferror(3) system call. On failure an explanation will be printed to stderr, obtained from explain_ferror(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_ferror_or_die(fp);

It is essential that this function cal be placed as close as possible to the I/O code that has caused the problem, otherwise intervening code could have altered the errno global variable.

fp  The fp, exactly as to be passed to the ferror(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

ferror(3)
    check stream status

explain_ferror(3)
    explain ferror(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller